{
	"version": "0.2.0",
	"configurations": [
		{
			"name": "Next.js: debug server-side",
			"type": "node-terminal",
			"request": "launch",
			"command": "npm run dev"
		},
		{
			"name": "Next.js: debug client-side",
			"type": "firefox",
			"request": "launch",
			"url": "https://localhost:3000",
			"webRoot": "${workspaceFolder}",
			"reAttach": true,
			"firefoxExecutable": "C:\\Program Files\\Mozilla Firefox\\firefox.exe",
			"timeout": 30
		},
		{
			"name": "Full Stack Debug",
			"type": "node-terminal",
			"request": "launch",
			"command": "npm run dev",
			"serverReadyAction": {
				"action": "startDebugging",
				"killOnServerStop": true,
				"pattern": "- Local:.+(https?://localhost:[0-9]+)",
				"name": "Next.js: debug client-side"
			}
		}
	]
}